rawset(_G, "novoicespam", true)

local function TF2_VoiceChoise(player, choise)
				if not novoicespam
					if choise == 1
						COM_BufInsertText(player, "say Medic!")
					end
					if choise == 2
						COM_BufInsertText(player, "say Help!")
					end
					if choise == 3
						COM_BufInsertText(player, "say Go! Go! Go!")
					end
					if choise == 4
						COM_BufInsertText(player, "say Need a teleporter here!")
					end
					if choise == 5
						COM_BufInsertText(player, "say Need a dispenser here!")
					end
					if choise == 6
						COM_BufInsertText(player, "say Need a sentry here!")
					end
					if choise == 7
						COM_BufInsertText(player, "say Good job!")
					end
				else
					if choise == 1
						TF2_Message(player.mo, 1)
						if TF2_MedicVC[player.mo.skin]
							S_StartSound(player.mo, TF2_MedicVC[player.mo.skin][P_RandomRange(1, #TF2_MedicVC[player.mo.skin])])
						else
							S_StartSound(player.mo, sfx_medic)
						end	
					end
					if choise == 2
						TF2_Message(player.mo, 8)
						if TF2_HelpVC[player.mo.skin]
							S_StartSound(player.mo, TF2_HelpVC[player.mo.skin][P_RandomRange(1, #TF2_HelpVC[player.mo.skin])])
						end	
					end
					if choise == 3
						TF2_Message(player.mo, 6)
						if TF2_GoGoGoVC[player.mo.skin]
							S_StartSound(player.mo, TF2_GoGoGoVC[player.mo.skin][P_RandomRange(1, #TF2_GoGoGoVC[player.mo.skin])])
						end	
					end
					if choise == 4
						TF2_Message(player.mo, 4)
						S_StartSound(player.mo, TF2_BuildVC[player.mo.skin][1])
					end
					if choise == 5
						TF2_Message(player.mo, 3)
						S_StartSound(player.mo, TF2_BuildVC[player.mo.skin][2])
					end
					if choise == 6
						TF2_Message(player.mo, 2)
						S_StartSound(player.mo, TF2_BuildVC[player.mo.skin][3])
					end
					if choise == 7
						TF2_Message(player.mo, 7)
						if TF2_GoodJobVC[player.mo.skin]
							S_StartSound(player.mo, TF2_GoodJobVC[player.mo.skin][P_RandomRange(1, #TF2_GoodJobVC[player.mo.skin])])
						end
					end
				end	
end



local function TF2_ContextMenu(player, arg)
	if player.valid and player.playerstate == PST_LIVE
		if not arg
			if player.voicemenu
				player.voicemenu = false
			else
				player.voicemenu = true
			end
		else
			local choise = tonumber(arg)
			TF2_VoiceChoise(player, choise)
		end	
	end
end
COM_AddCommand("voicemenu", TF2_ContextMenu)

local function TF2_AdminCom(player)
	if player.valid and player.playerstate == PST_LIVE
		if novoicespam
			novoicespam = false
			print("Voice spam was turned on!")
		else
			novoicespam = true
			print("Voice spam was turned off!")
		end
	end
end
COM_AddCommand("voicespam", TF2_AdminCom, COM_ADMIN)

addHook("PlayerThink", function(player)
	if player.valid and player.playerstate == PST_LIVE
		if player.voicemenu
			//print("VoiceMenu open!")
			local choise = player.cmd.buttons & BT_WEAPONMASK
			if choise or player.cmd.buttons & BT_TOSSFLAG
				TF2_VoiceChoise(player, choise)
				if player.cmd.buttons & BT_TOSSFLAG
					if not player.spikerollsonic
						player.spikerollsonic = true
					else
						player.spikerollsonic = false
					end	
				end
				player.voicemenu = false
				//print("VoiceMenu closed!")
			end	
		end
	end
end)

local function VoiceMenu(v, player, camera)
	if player.mo and player.valid and player.playerstate == PST_LIVE
		if player.voicemenu
			local space = 2
			v.drawScaled(space*FRACUNIT, 98*FRACUNIT, FRACUNIT/5, v.cachePatch("VOICEMENU"), V_SNAPTOLEFT|V_50TRANS)
			v.drawString(space+1, 60, "1.MEDIC!", V_SNAPTOLEFT|V_HUDTRANS, "small-thin")
			v.drawString(space+1, 65, "2.Help", V_SNAPTOLEFT|V_HUDTRANS, "small-thin")
			v.drawString(space+1, 70, "3.Go Go Go", V_SNAPTOLEFT|V_HUDTRANS, "small-thin")
			v.drawString(space+1, 75, "4.Teleporter Here", V_SNAPTOLEFT|V_HUDTRANS, "small-thin")
			v.drawString(space+1, 80, "5.Dispenser Here", V_SNAPTOLEFT|V_HUDTRANS, "small-thin")
			v.drawString(space+1, 85, "6.Sentry Here", V_SNAPTOLEFT|V_HUDTRANS, "small-thin")
			v.drawString(space+1, 90, "7.Good Job", V_SNAPTOLEFT|V_HUDTRANS, "small-thin")
		end
	end
end
hud.add(VoiceMenu)